I am able to use CreateComplexShapeElement1 with LineElements, but when I include a BSpline this fails, even though IsChainableElement returns true. The code below demonstrates the problem.
I am using V8i version 08.11.09.459
Sub CompoundElementTest() Dim oStringElements(1) As ChainableElement Dim oBsplineCurve As New BsplineCurve Dim axis As Segment3d Dim startPt As Point3d Dim radius0 As Double Dim oElement1 As Element startPt = Point3dFromXYZ(1, 0, 0) axis = Segment3dFromXYZXYZStartEnd(0, 0, 0, 0, 0, 1) oBsplineCurve.helix 1, 1, startPt, axis, 1, False, 0.000000000001 Set oElement1 = CreateBsplineCurveElement1(Nothing, oBsplineCurve) Set oStringElements(0) = oElement1 startPt = Point3dFromXYZ(1, 0, 1) axis = Segment3dFromXYZXYZStartEnd(0, 0, 1, 0, 0, 2) oBsplineCurve.helix 1, 1, startPt, axis, 1, False, 0.000000000001 Set oElement1 = CreateBsplineCurveElement1(Nothing, oBsplineCurve) Set oStringElements(1) = oElement1 Dim oComplexShape As ComplexShapeElement Set oComplexShape = CreateComplexShapeElement1(oStringElements, msdFillModeFilled) ActiveModelReference.AddElement oComplexShape End Sub